Bug 250917 - New port: net/gsocket allows two users behind NAT/Firewall to securely establish a TCP connection with each other
Summary: New port: net/gsocket allows two users behind NAT/Firewall to securely establ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Li-Wen Hsu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-11-06 23:42 UTC by Andrew Reiter
Modified: 2020-11-24 17:03 UTC (History)
2 users (show)

See Also:


Attachments
patch to add gsocket to net (3.35 KB, patch)
2020-11-06 23:42 UTC, Andrew Reiter
no flags Details | Diff
Proposed changes (3.56 KB, patch)
2020-11-07 02:47 UTC, Li-Wen Hsu
no flags Details | Diff
Proposed changes (3.44 KB, patch)
2020-11-07 02:49 UTC, Li-Wen Hsu
no flags Details | Diff
updated patch to use tarball as source (1.04 KB, patch)
2020-11-12 15:26 UTC, Andrew Reiter
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Reiter 2020-11-06 23:42:54 UTC
Created attachment 219409 [details]
patch to add gsocket to net

This is a request to add gsocket to the net category in ports tree. The gsocket code is maintained in GitHub and may be found https://github.com/hackerschoice/gsocket/. While I have done some various contributions in the past, this would be my first port, so please excuse any issues. 

Thanks for your help.
Comment 1 Li-Wen Hsu freebsd_committer 2020-11-07 02:47:11 UTC
Created attachment 219412 [details]
Proposed changes

I've done few fixes to make it align with the ports tree better. Please check and test it. Thanks!
Comment 2 Li-Wen Hsu freebsd_committer 2020-11-07 02:49:44 UTC
Created attachment 219413 [details]
Proposed changes

Fix pkg-plist
Comment 3 Andrew Reiter 2020-11-07 02:57:43 UTC
Ahhh Nice... thank you. I had seen similar, but was uncertain as to exactly how that worked. Thank you for these changes. It works for me.
Comment 4 commit-hook freebsd_committer 2020-11-07 08:07:00 UTC
A commit references this bug:

Author: lwhsu
Date: Sat Nov  7 08:06:19 UTC 2020
New revision: 554346
URL: https://svnweb.freebsd.org/changeset/ports/554346

Log:
  Add net/gsocket

  Allows two users behind NAT/Firewall to establish a TCP connection.

  PR:		250917
  Submitted by:	Andrew Reiter <arr@watson.org>

Changes:
  head/net/Makefile
  head/net/gsocket/
  head/net/gsocket/Makefile
  head/net/gsocket/distinfo
  head/net/gsocket/pkg-descr
  head/net/gsocket/pkg-plist
Comment 5 Andrew Reiter 2020-11-07 12:53:22 UTC
Thank you for the help
Comment 6 daniel.engberg.lists 2020-11-10 19:57:38 UTC
Any reason not use tarball?
https://github.com/hackerschoice/gsocket/releases/download/v1.4.22/gsocket-1.4.22.tar.gz
Comment 7 Andrew Reiter 2020-11-10 21:16:26 UTC
(In reply to daniel.engberg.lists from comment #6)

No reason in particular. Do you advocate for the tar ball for any specific reason?
Comment 8 daniel.engberg.lists 2020-11-11 06:45:38 UTC
Hi,

It's recommended in Porter's Handbook (5.4.3), removes the need to run autoreconf and prevents against GitHub from protentially changing checksum of source tarball.
Comment 9 Li-Wen Hsu freebsd_committer 2020-11-11 10:57:01 UTC
(In reply to daniel.engberg.lists from comment #8)
Yes it's indeed preferred. Sorry that I didn't notice that when modifying the port. Andrew, do you want to update it?
Comment 10 Andrew Reiter 2020-11-11 16:38:34 UTC
(In reply to Li-Wen Hsu from comment #9)

Ok, all that makes sense, Daniel. Sure I will give this a go. I won't get to this until Thursday or Friday, jfyi.

Thanks,
Best,
Andrew
Comment 11 Andrew Reiter 2020-11-12 15:26:35 UTC
Created attachment 219602 [details]
updated patch to use tarball as source

Attaching patch that changes this port to use the release tar ball instead of github and branch. Thank you for pointing this out. Please let me know if there are any concerns or issues.
Comment 12 Andrew Reiter 2020-11-24 13:59:32 UTC
Just pinging to see if you had a chance to review the diff that changes this port to use the release tar ball instead of the GitHub method? Thank you for any help.
Comment 13 commit-hook freebsd_committer 2020-11-24 16:56:16 UTC
A commit references this bug:

Author: lwhsu
Date: Tue Nov 24 16:55:39 UTC 2020
New revision: 556177
URL: https://svnweb.freebsd.org/changeset/ports/556177

Log:
  net/gsocket: use release tar ball instead of github generated snapshot

  PR:		250917
  Submitted by:	Andrew Reiter <arr@watson.org> (maintainer)

Changes:
  head/net/gsocket/Makefile
  head/net/gsocket/distinfo
Comment 14 Li-Wen Hsu freebsd_committer 2020-11-24 16:56:24 UTC
(In reply to Andrew Reiter from comment #12)
Sorry for the delay, committed with slight modifications.
Comment 15 Andrew Reiter 2020-11-24 17:03:04 UTC
(In reply to Li-Wen Hsu from comment #14)
No worries at all. Thank you!